<template>
  <view class="warp-box">
	<view class="history-information" 	v-for="item,i in datetailData" 		
			:key="i">
							<view class="first">
								<view class="">{{ item.orderCode || '' }}</view>
								<view class=""></view>
							</view>
							<view class="second">
								<view class="coal-name">{{ item.productNames || item.productName }}</view>
								<view class="order-type">{{ item.orderType || '' }}</view>
							</view>
                            <view class="second">
                                <view class="coal-name">品级： {{ item.productGrade }}</view>
                            </view>
							<view class="third">
								<view class="third-line">
									<view class="third-line_text">客户名称:</view>
									<view>{{ item.customerName }}</view>
								</view>
                                <view class="third-line">
									<view class="third-line_text">车队名称:</view>
									<view>{{ item.fleetName }}</view>
								</view>
									<view class="third-line" v-if="/聚氯乙烯树脂/.test(item.productName)">
									<view class="third-line_text">包装类型:</view>
									<view>{{ proType[item.packingType] }}</view>
								</view>
								<view class="third-line"  v-if="item.productName === '二氯乙烷(EDC)'">
									<view class="third-line_text">质检状态:</view>
									<view> <u-tag :text="checkStatusList[item.checkStatus]" plain > </u-tag></view>
								</view>
							</view>
							<view class="fourth">
								<view class="fourth-icon">
									<view
										style="width: 24rpx;height: 24rpx;line-height: 24rpx;background: url('https://wrzs.czjlchem.com:9090/appimg/image/banner/clock.png') no-repeat;background-size: cover">
									</view>
								</view>
								<view class="senddate">{{ item.sendDate }}</view>
							</view>
							<view class="fourth">
								<view class="fourth-icon">
									<view
										style="width: 26rpx;height: 26rpx;line-height: 26rpx;background: url('https://wrzs.czjlchem.com:9090/appimg/image/banner/carnNUm.png') no-repeat;background-size: cover;">
									</view>
								</view>
								<view class="senddate">{{ item.orderCode }}</view>
							</view>
                <view class="footer">   
                    <view class="rightBtn">   <u-button type='primary' text='确认拼单' @click="enterPin(item)"></u-button></view>
	         
                </view>
		 </view>
         <u-empty mode="data"
						icon="http://cdn.uviewui.com/uview/empty/data.png"
						textSize="30"
						iconSize="1000"
						text="暂无数据"
						v-if="datetailData.length === 0"></u-empty>
         <u-popup :show="showLing"
				@close="closeling"
				closeOnClickOverlay
				@open="openLing"
				mode="center"
				round="10">
				<view class="receiverPopup">
					  <view class="tableCon"   v-if="pageList.length">
				   <view style="text-align: center;">选择吨数</view>
					<u-radio-group v-model="radioValue"  borderBottom placement="column"
					
					@change="radioChange"
					>
						<view  
						style="margin:15rpx" v-for="(item, index) in pageList" :key="index">
							<u-radio 
							:size='40'
						:iconSize='50' labelSize='32' shape="circle" 
						
								:key="index"
								:label="`${item.productName} - ${item.productGrade?item.productGrade : '暂无等级' } - ${item.planMeasure}吨`"
								:name="item.id"></u-radio>
						</view>
						
					</u-radio-group>
					<view class="receiverPopup__btn"><u-button text="确定"
						type="primary"
						@click="popupDetermineClick"
						:loading="ClickLoading"></u-button></view>

        </view>
				</view>
			</u-popup>
            <u-modal :show="showTwo" :title="'确认拼单'"
         	showCancelButton
            @confirm="falseConfirm"
			@cancel="falseCancel"
            ></u-modal>
					</view>
</template>

<script>
export default {
    data() {
        return {
            proType:['散装','液氣瓶装','罐装','PVC25','PVC80','PVC1150','PVc1200'],
            datetailData:[],
            taskId:'',
            pageList:[],
            showTwo:false,
            activeObj:{},
            showLing:false,
            radioValue:'',
            radioChange:"",
            ClickLoading:false,
        }
    },
    methods: {
        init(){
            uni.showLoading({
					title: "加载中"
				})
            this.$reqGet('getUnclaimedList',{taskCoalId:this.taskId}).then((res) => {
                this.datetailData =  res.data;
                uni.hideLoading();
            })
        },
        enterPinDan(){
             uni.showLoading({
                title: "加载中"
            })
           this.$reqPost('splicingOrders',{
            orderPlanId: this.activeObj.orderPlanId,
			fleetId: this.activeObj.fleetId,
	       customerId: this.activeObj.customerId,
			xsUserId: this.activeObj.xsUserId,
		   pvcForwardId:this.radioValue,
           taskCoalId: this.taskId 
           },'params').then(res=>{
            console.log(res,'resss')
            if(res.code === 0 ){
             this.$u.toast('操作成功');
             this.showLing = false;
                	uni.switchTab({
								url: '/pages/tabbar-page/index-tabbar/index-tabbar'
							}); 
            }else{
                 this.$u.toast('失败') 
            }
           }).finally(() => {
               uni.hideLoading();
           })
        },
        popupDetermineClick(){
                this.enterPinDan();
        },
        enterPin(item){
            this.activeObj = item;
            if(/聚氯乙烯树脂/.test(item.productName)){
                 this.showLing = true;
            }else{
                this.enterPinDan();
                this.showTwo = true;
            }


        },
      	closeling() {
				this.showLing = false;
				this.receiveNum = null;
			},
            	openLing() {
					this.getBuild();
				},
                   getBuild(item){
				console.log(this.productName,'opr')
					this.$reqGet('getBuildList',{orderPlanId:this.activeObj.orderPlanId,customerId:this.activeObj.customerId,status:1,fleetId:this.activeObj.fleetId}).then(res=>{
					console.log(res,'resss')
                    this.pageList = res.data.map(item=>{
						item.flag = false
						return item;
					});
				})
				
				
			},
            falseConfirm (){
                this.enterPinDan();

            },
            falseCancel(){}

                
        
    },
    computed:{

    },
    onLoad(params)
    {
        this.taskId = params.taskCoalId;
    },
    onShow(){
        this.init();
    },

}
</script>

<style lang="scss"
	scoped>
 
  
    	.table{
	width: 100%;
    margin-top: 10rpx;
  /deep/ .uni-table{
	min-width: 0!important;
	margin-left: 20rpx;
	width: auto;
  }
  
        }
    .warp-box{
        width: 96%;
        margin:  10rpx auto;
        height: calc(100vh - 10vh);
          .footer{
            width: 100%;
    height: 100rpx;
    .rightBtn{
        width: 200rpx;
        float: right;;
        margin-top: 20rpx;
        margin-right: 20rpx;
        
    }
  }
    }		.history-information {
			margin-bottom:30rpx;
			margin-top: 10rpx;
			background: #ffffff;
			border-radius: 20rpx;
			@include flex flex-direction: column;
			padding: 10px;
			align-items: flex-start;
			justify-content: space-evenly;
			box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);


			.first {
				width: 94%;
				height: 34rpx;
				font-size: 32rpx;
				font-weight: 300;
				color: #303030;
				@include flex;
				margin: vww(10) vww(10) 0;
			}

			.second {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;
				justify-content: flex-start;

				.coal-name {
					min-width: vww(20);
					height: vww(20);
					margin-right: vww(21);
				}

				.order-type {
					height: 45rpx;
					color: #035cfb;
					border: 2px solid #035cfb;
					border-radius: 4rpx;
					padding: vww(2) vww(4);
					text-align: center;
				}
			}

			.third {
				width: 96%;
				height:  auto;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;
				flex-direction: column;

				.third-line {
					@include flex;
					align-items: center;;

					&_text {
						color: #919090;
					}

					&_num {
						color: #035cfb;
					}
				}
			}

			.fourth {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.fourth-icon {
					width: vww(13);
					height: vww(13);
					margin-right: vww(14);
				}

				.senddate {
					flex: 1;
				}
			}
		}
    	
</style>
<style  >
   

</style>